Name:		libquvi
Version:	0.9.4
Release:	20
Summary:	A cross-platform library for parsing flash media stream
License:	AGPLv3+
URL:		http://quvi.sourceforge.net
Source0:	https://master.dl.sourceforge.net/project/quvi/0.9/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  gcc asciidoc lua-devel libproxy-devel
BuildRequires:  libcurl-devel glib2-devel libquvi-scripts libgcrypt-devel
Requires:	libquvi-scripts

Patch6000:      libquvi-0.9.4-lua-5.2.patch

%description
Libquvi is a small C library that can be used to parse ad0be flash
media stream URLs.

%package	devel
Summary:	Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:	%{name}-static = %{version}-%{release}
Obsoletes:	%{name}-static < %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-rpath --enable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/%{name}-0.9.la

%check
#make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license AUTHORS COPYING
%{_libdir}/%{name}-0.9-%{version}.so
%{_libdir}/%{name}-0.9.so

%files devel
%{_includedir}/quvi-0.9
%{_libdir}/pkgconfig/%{name}-0.9.pc
%{_libdir}/%{name}-0.9.a

%files help
%doc ChangeLog README
%{_mandir}/man3/%{name}.3.gz
%{_mandir}/man7/quvi-object.7.gz

%changelog
* Thu Jan 13 2022 shixuantong <shixuantong@huawei.com> - 0.9.4-20
- fix undefined reference to 'luaL_register'

* Mon Aug 02 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.9.4-19
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Fri Jul 23 2021 shangyibin <shangyibin1@huawei.com> - 0.9.4-18
- delete gdb build dependency

* Thu Oct 15 2020 shixuantong <shixuantong@huawei.com> - 0.9.4-17
- update source0

* Sat Mar 21 2020 chengquan <chengquan3@huawei.com> - 0.9.4-16
- remove make check

* Fri Sep 27 2019 luhuaxin <luhuaxin@huawei.com> - 0.9.4-15
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move AUTHORS and COPYING files to license folder, fix requires

* Wed Aug 28 2019 luhuaxin <luhuaxin@huawei.com> - 0.9.4-14
- Package init
